### Method

# Gdk Event get_axes

#### Declaration [src]

    gboolean
    gdk_event_get_axes (
      GdkEvent* event,
      double** axes,
      guint* n_axes
    )

#### Description [src]

Extracts all axis values from an event.

#### Parameters

`axes` | An array of `double*`
| The array of values for all axes.
| The argument will be set by the function.
| The length of the array is specified in the `n_axes` argument.
| The data is owned by the caller of the function.
`n_axes` | `guint*`
| The length of array.
| The argument will be set by the function.
| The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `gboolean`
| `TRUE` on success, otherwise `FALSE`.